Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst
Interface BusinessAgreementWithParticipantCompletionParticipant

All Known Subinterfaces:
  BusinessAgreementWithCoordinatorCompletionParticipant

All Known Implementing Classes:
  BusinessAgreementWithCoordinatorCompletionStub, BusinessAgreementWithParticipantCompletionStub

public interface BusinessAgreementWithParticipantCompletionParticipant

Method Summary
`void` | `cancel()` The transaction has cancelled, and the participant should undo any work.
`void` | `close()` The transaction has completed successfully.
`void` | `compensate()` The transaction has cancelled.
`void` | `error()` If the participant enquired as to the status of the transaction it was registered with and an error occurs (e.g., the transaction service is unavailable) then this operation will be invoked.
`java.lang.String` | `status()`
`void` | `unknown()` If the participant enquires as to the status of the transaction it was registered with and that transaction is no longer available (has rolled back) then this operation will be invoked by the coordination service.

Method Detail

### close

    public void close()
               throws WrongStateException,
                      SystemException

  The transaction has completed successfully. The participant previously informed the coordinator that it was ready to complete.

  Throws:
    `WrongStateException`
    `SystemException`

### cancel

    public void cancel()
                throws WrongStateException,
                       SystemException

  The transaction has cancelled, and the participant should undo any work. The participant cannot have informed the coordinator that it has completed.

  Throws:
    `WrongStateException`
    `SystemException`

### compensate

    public void compensate()
                    throws FaultedException,
                           WrongStateException,
                           SystemException

  The transaction has cancelled. The participant previously informed the coordinator that it had finished work but could compensate later if required, so it is now requested to do so.

  Throws:
    `FaultedException`
    `WrongStateException`
    `SystemException`

### status

    public java.lang.String status()
                            throws SystemException

  Returns:
    the status value.
  Throws:
    `SystemException`

### unknown

    public void unknown()
                 throws SystemException

  If the participant enquires as to the status of the transaction it was registered with and that transaction is no longer available (has rolled back) then this operation will be invoked by the coordination service.

  Throws:
    `SystemException`

### error

    public void error()
               throws SystemException

  If the participant enquired as to the status of the transaction it was registered with and an error occurs (e.g., the transaction service is unavailable) then this operation will be invoked.

  Throws:
    `SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD